From 677730a4927646a31ad5afeaf0fd2ec669fb77c2 Mon Sep 17 00:00:00 2001
From: Aldis Berjoza <aldis@berjoza.lv>
Date: Fri, 23 Oct 2020 18:34:07 +0300
Subject: [PATCH 2/2] Make tests work on QubesOS even when splig-gpg is used

---
 tests/setup.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/tests/setup.sh b/tests/setup.sh
index 5d1e794..4678a8d 100644
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -22,6 +22,8 @@ unset PASSWORD_STORE_ENABLE_EXTENSIONS
 unset PASSWORD_STORE_EXTENSIONS_DIR
 unset PASSWORD_STORE_SIGNING_KEY
 unset EDITOR
+# use local GPG for tests even on Qubes-OS
+unset QUBES_GPG_DOMAIN
 
 # We must be called from tests/
 TEST_HOME="$(pwd)"
-- 
2.20.1

